<?php
header('Content-Type: application/json; charset=UTF-8');
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: POST');
header('Access-Control-Allow-Headers: Access-Control-Allow-Headers,Content-Type, Access-Control-Allow-Methods, Authorization, X-Requested-With');

include "config.php";
date_default_timezone_set("Asia/Kolkata");
// Get the posted products data
$products = json_decode(file_get_contents('php://input'), true);

if (!$products || !isset($products['products'])) {
    echo json_encode(["error" => "Invalid data"]);
    exit;
}

foreach ($products['products'] as $product) {
    $name = $product['name'];
    $active = $product['active'];
    $stock = $product['stock'];
    $code = $product['code'];
    $category = $product['category'];
    $img = $product['img'];
    $img1 = $product['img1'];
    $img2 = $product['img2'];
    $net = $product['net'];
    $gross = $product['gross'];
    $price = $product['price'];
    $dis_price = $product['dis_price'];
    $gender = $product['gender'];

    $sql = "INSERT INTO products (name, active, stock, code, category, img,img1,img2,gender,dis_price,net, gross, price) 
            VALUES ('$name', '$active', '$stock', '$code', '$category', '$img','$img1','$img2','$gender','$dis_price', '$net', '$gross', '$price')";

    if (!$conn->query($sql)) {
        echo json_encode(["error" => "Error inserting product: " . $conn->error]);
        exit;
    }
}

echo json_encode(["success" => "Products uploaded successfully"]);
$conn->close();
?>
