<?php
// Set CORS headers
header('Content-Type: application/json; charset=UTF-8');
header('Access-Control-Allow-Origin: *'); // Adjust origin as needed
header('Access-Control-Allow-Methods: POST, GET');
header('Access-Control-Allow-Headers: Access-Control-Allow-Headers, Content-Type, Access-Control-Allow-Methods, Authorization, X-Requested-With');

// Check if it's a preflight request and respond with 200 OK
if ($_SERVER['REQUEST_METHOD'] === 'OPTIONS') {
    http_response_code(200);
    exit;
}

include "config.php";
date_default_timezone_set("Asia/Kolkata");

$_POST = json_decode(file_get_contents("php://input"), true);
$mid = $_POST['id']; // mandal id

$sql = "SELECT ao.*, co.*
FROM `agentOrder` AS ao
JOIN `refUser` AS co ON ao.`agentCode` = co.`code`";

$run = mysqli_query($conn, $sql);

$tdata = array(); // Initialize an empty array to store data

while ($row = mysqli_fetch_array($run)) {
    $data = array(
        "id" => $row['id'],
        "orderid" => $row['oid'],
        "price" => $row['bonus'],
        "date" => $row['date'],
        "withdraw" => $row['withdraw'],
        "name" => $row['name'],
        "code" => $row['code']
    );

    $tdata[] = $data; // Add each row data to the $tdata array
}

$trans_msg = "radha";

echo json_encode(["message" => $trans_msg, "result" => $tdata]);

?>
