<?php
require("utils/MiddleWare.php");

date_default_timezone_set("Asia/Kolkata");

$admin = $req['aid']; // admin id
$auth = $req['auth']; // admin authentication
$status = $req['status']; // loan status
$req_id = $req['req_id']; // loan request id
$mid = $req['mid']; // mandal id
$a_name = $req['a_name']; // admin name
$loan_amount = $req['loan_amount']; // loan amount
$emi = $req['emi']; // EMI amount
$month = $req['month']; // EMI month
$today = date("Y-m-d");
$first_emi = $req['first_emi']; // Interest of loan

// FIRST for first installment of loan

$checkadmin = "SELECT `id` FROM `admin` WHERE `id`='$admin' AND `authcode`='$auth'";
$get_checkadmin = mysqli_query($conn, $checkadmin);

if (mysqli_num_rows($get_checkadmin) == 1 && $status == "REJECT") {
    // Reject loan request
    $query = "UPDATE `loan_req` SET `aid`='$admin', `action_date`='$today', `status`='$status' WHERE `id`='$req_id'";
    $message = "Your loan was rejected by admin.";
} elseif (mysqli_num_rows($get_checkadmin) == 1 && $status == "DELETE") {
    // Delete loan request
    $query = "UPDATE `loan_req` SET `aid`='$admin', `action_date`='$today', `status`='$status' WHERE `id`='$req_id'";
    $message = "Your loan request was deleted.";
} elseif (mysqli_num_rows($get_checkadmin) == 1 && $status == "ACCEPT") {
    // Accept loan request and insert into loan table
    $query = "
        INSERT INTO `loan` (`loan_type`, `mid`, `aid`, `a_name`, `interest`, `loan_amount`, `remaining`, `emi`, `month`, `remaining_month`, `date`)
        VALUES ('NEW', '$mid', '$admin', '$a_name', '$first_emi', '$loan_amount', '$loan_amount', '$emi', '$month', '0', '$today');
        
        SET @last_id = LAST_INSERT_ID();
        
        INSERT INTO `transaction` (`loan_id`, `mid`, `aid`, `a_name`, `trans_type`, `emi_type`, `emi_interest`, `payment_mode`, `total`, `date`) 
        VALUES (@last_id, '$mid', '$admin', '$a_name', 'EMI', 'FIRST', '$first_emi', 'Self', '$first_emi', '$today');
        
        UPDATE `loan_req` SET `loan_id` = @last_id, `amount` = '$loan_amount', `aid` = '$admin', `action_date` = '$today', `status` = '$status' 
        WHERE `id` = '$req_id';
    ";
    
    $t_amount = $loan_amount;
    $t_card = $mid;
    $t_final2 = "₹ $t_amount loan created for Mandal - $t_card. \n\nThank you for your continued trust.";
    $message = "Your loan was accepted by admin.";
} else {
    echo json_encode(["message" => "Invalid admin authentication."]);
    exit;
}

// Execute the multi-query
if (mysqli_multi_query($conn, $query)) {
    do {
        if ($result = $conn->store_result()) {
            $result->free();
        }
    } while (mysqli_more_results($conn) && mysqli_next_result($conn));

    // Retrieve mandal user details
    $details = "SELECT `phone` FROM `mandal_user` WHERE `id`='$mid'";
    $rowdets = mysqli_query($conn, $details);

    if ($rowdets && $rundets = mysqli_fetch_array($rowdets)) {
        $idphone = $rundets['phone'];
        mysqli_free_result($rowdets);

        // Send SMS notification
        sendSMS($idphone, $t_final2); // Uncomment this if sendSMS function is defined

        // Retrieve user details for push notification
        $det = "SELECT `fireToken`, `name` FROM `users` WHERE `phone`='$idphone'";
        $rowdet = mysqli_query($conn, $det);

        if ($rowdet && $rundet = mysqli_fetch_array($rowdet)) {
            $token = $rundet['fireToken'];
            $name = $rundet['name'];
            $notification_message = "Dear $name, $t_final2"; // Ensure $t_final2 is passed correctly

            if ($token) {
                sendNotification($token, "Mandal Loan - Manglik Gold", $notification_message, "mandal");
            }
            mysqli_free_result($rowdet);
        }
    }

    echo json_encode(["message" => "radha"]);
} else {
    echo json_encode(["message" => "Invalid query or error in execution."]);
}
?>
