<?php

include "utils/ResponseWare.php";
include "utils/DecryptWare.php";
include "database/db.php";
include "utils/AuthWare.php"; 

$username = $req['mobile']; // Admin mobile number
$userPassword = $req['password']; // Admin password
$token = $req['token'];

$sql = "SELECT * FROM `admin` WHERE `usertype` = '0' AND `mobile` = '$username'";
$result = $conn->query($sql);
if ($result) {
    if ($result->num_rows == 0) {
        sendResponse(false, "Invalid User or password", null);
    }

    $admin = $result->fetch_assoc();
    $h = $admin["password"];

    $hashedParts = explode('.', $h);
    
    if (count($hashedParts) != 2) {
        sendResponse(false, "Invalid password format");
    }

    $base64Salt = $hashedParts[0];
    $hash = $hashedParts[1];

    $salt = base64_decode($base64Salt);
    $enteredHash = hash('sha256', $salt . $userPassword);

    if ($enteredHash == $hash) {
        $aid = $admin['id'];
        $name = $admin['name'];
        $usertype = $admin['usertype'];
        $hash_auth_code = $admin['authcode'];
        $web_auth = $admin['web_auth'];
        
        $update = "UPDATE `admin` SET `token`='$token' WHERE `id`='$aid'";
        $row = mysqli_query($conn,$update);
        if($row == true){
                $data = array(
                    "admin_id" => $aid,
                    "admin_name" => $name,
                    "admin_mobile" => $username,
                    "admin_type" => $usertype,
                    "admin_code" => $hash_auth_code,
                    "admin_web" => $web_auth
                );
        

   

        $userId = $admin["id"]; 
        $role = $admin["usertype"]; 
        $permissions = $admin["authcode"]; 

        $response = generateAuthToken($username, $userId, $role, $permissions);
        $response["data"] = $data; // Add the data to the response array
}
        sendResponse(true, "Password is correct!", $response);
    } else {
        sendResponse(false, "Password is incorrect");
    }
} else {
    sendResponse(false, "Error while fetching user: " . $conn->error, null);
}
?>
