<?php

//It includes all wares for decryptions, response, authorization and database
require ("ResponseWare.php");
require ("DecryptWare.php");
require ('../jwt/JWT.php');
require ('../jwt/Key.php');
use Firebase\JWT\JWT;
use Firebase\JWT\Key;
require ("../database/db.php");


function verifyAuthToken($token) {
    $secretKey = 'GuruSofwareAndAdityaRana';
    try {
        $decoded = JWT::decode($token, new Key($secretKey, 'HS256'));
        return $decoded;
    } catch (Exception $e) {
        return false;
    }
}


if ($token != null){
    $decodedToken = verifyAuthToken($token);
} else {
    sendResponse(false, "Token Not Found");
    
}

if (!$decodedToken){
    sendResponse(false, "Token verification failed");
}

    $username = $decodedToken->username;
    $uid = $decodedToken->userId;
    $role = $decodedToken->role;
    $permissions = $decodedToken->permissions;
    $permissions  = json_encode($permissions);
    $expirationTime = $decodedToken->exp;

    $currentTimestamp = time();
    if ($expirationTime < $currentTimestamp) {
        sendResponse(false, "Token has expired");
    }

?>