<?php
require("utils/MiddleWare.php");

date_default_timezone_set("Asia/Kolkata");

// Sanitize the input
$id = $req['id'];
$date = date('Y-m-d');
$total = 0;
$today = 0;
// Initialize arrays to store data
$m_data = array();
$d_data = array();
$r_data = array();

// Query to fetch data from agentOrder and checkout tables
$userquery = "SELECT ao.*, co.*,co.status AS cs
              FROM agentOrder AS ao
              JOIN checkout AS co ON ao.oid = co.orderid
              WHERE ao.agentId = '$id'";
$run_userquery = mysqli_query($conn, $userquery);

if (mysqli_num_rows($run_userquery) > 0) {
    while ($row = mysqli_fetch_array($run_userquery)) {
        $a1 = array(
            "id" => $row['date'],
            "name" => $row['name'],
            "oid" => $row['orderid'],
            "phone" => $row['cs'],
            "price" => $row['bonus'],
            "total" => $row['total'],
            "status" => "order",
        );
        $total += $row['bonus']; // Accumulate total

        $m_data[] = $a1;
    }
    $m_message = "radha";
} else {
    $m_message = "invalid";
}

// Query to fetch data from dhan_user table
$dhan = "SELECT * FROM `checkout` WHERE `agent_id`='$id' AND `date`='$date'";
$dhan_row = mysqli_query($conn, $dhan);
if (mysqli_num_rows($dhan_row) > 0) {
    while ($row = mysqli_fetch_array($dhan_row)) {
        $a1 = array(
            "id" => $row['id'],
            "name" => $row['name'],
            "phone" => $row['price'],
        );
        $d_data[] = $a1;
    }
    $d_message = "radha";
    // Calculate total from d_data
    foreach ($d_data as $item) {
        $today += $item['total']; // Assuming 'phone' holds the price
    }
} else {
    $d_message = "invalid";
}

// Query to fetch data from refUser table
$dhan1 = "SELECT * FROM `refUser` WHERE `id`='$id'";
$dhan_row1 = mysqli_query($conn, $dhan1);

if (mysqli_num_rows($dhan_row1) > 0) {
    while ($row1 = mysqli_fetch_array($dhan_row1)) {
        $a11 = array(
            "id" => $row1['id'],
            "name" => $row1['code'],
            "phone" => $row1['mobile'],
        );
        $r_data[] = $a11;
    }
    $a_message = "radha";
} else {
    $a_message = "invalid";
}

// Encode data as JSON and echo response
echo json_encode([
    "mandal_message" => $m_message,
    "m_result" => $m_data,
    "dhan_message" => $d_message,
    "d_result" => $d_data,
    "agent_message" => $a_message,
    "a_result" => $r_data,
    "today" => $today,
    "total"=>$total// Add total to the JSON response
]);

?>
