<?php
// require("utils/MiddleWare.php");
include "utils/ResponseWare.php";
include "utils/DecryptWare.php";
include "database/db.php";
include "utils/AuthWare.php"; 

// include 'config.php';
date_default_timezone_set("Asia/Kolkata");

$pid = $req['pid'];
$uid = $req['uid'];

$data = array();
$filter = array();

$error = '';


$query = "SELECT * FROM `products` WHERE `id`='$pid'";
$result = mysqli_query($conn, $query);
if (!$result) {
    $error = "Error: " . mysqli_error($conn);
} else {
    // Fetch results
    while ($row = mysqli_fetch_assoc($result)) {
            $productId = $row['id'];
            $price = $row['price'];
            
            $net = $row['net'];
        $gross = $row['gross'];
        $dgm = $row['d_gm'];
        $dkarat = $row['d_karat'];
        $material = $row['type'];
        $mQuery = "SELECT * FROM material WHERE id='$material'";
        $mResult = mysqli_query($conn, $mQuery);
        $mrow = mysqli_fetch_array($mResult);
        $mname = $mrow['name'];
        $mprice = $mrow['price'];
        
         $dprice = $row['dprice'];
        $dname = $row['diamond'];
        $dtotal = round($dprice) ;

        if($material == 3){
            if($net > 2.000 && $net <5.000){
              $making = 600; 
            }else if($net > 5.000 && $net < 10.000){
              $making = 700;
            }else if($net > 10.000 && $net < 15.000){
              $making = 800 ;
            }else if($net > 15.000 && $net < 20.000){
              $making = $net*60 ;
            }else if($net > 20.000 && $net < 25.000){
              $making = $net*50 ;
            }else if($net > 25.000){
              $making = $net*40 ;
            }
            $mm = $making/2;
            $ggg = $net*$mprice+$mm+$dtotal;
            $gst = round($ggg*0.03);
            $price = round($net*$mprice+$mm+$gst+$dtotal);
            $discount = round($net*$mprice+$making+$gst+$dtotal);
        }else if($material == 8){
            if($net > 0.000 && $net <0.500){
              $making = $net*1400; 
            }else if($net > 0.510 && $net < 0.800){
              $making = $net*1650;
            }else if($net > 0.810 && $net < 1.000){
              $making = $net*2050 ;
            }else if($net > 1.010 && $net < 1.400){
              $making = $net*2350 ;
            }else if($net > 1.410 && $net < 1.900){
              $making = $net*2600 ;
            }else if($net > 1.910 && $net < 2.200){
              $making = $net*2850 ;
            }else {
              $making = $net*1500;
            }
            $mm = $making/2;
            $ggg = $net*$mprice+$mm+$dtotal;
            $gst = round($ggg*0.03);
            $price = round($net*$mprice+$mm+$gst+$dtotal);
            $discount = round($net*$mprice+$making+$gst+$dtotal);
        }else{
            $p = $row['price'];
            $fgst = $row['price']*0.03;
            $pp = $row['price'] + $fgst;
            $price = $pp;
            $discount = $row['dis_price'] + $row['dis_price']*0.03;
        }
                $cartCheckQuery = "SELECT * FROM cart WHERE pid='$pid' AND uid='$uid'";
                $cartCheckResult = mysqli_query($conn, $cartCheckQuery);

                if ($cartCheckResult && mysqli_num_rows($cartCheckResult) > 0) {
                    // Product is in the cart
                    $row['in_cart'] = true;
                } else {
                    // Product is not in the cart
                    $row['in_cart'] = false;
                }
                
                $wishlistCheckQuery = "SELECT * FROM wishlist WHERE pid='$pid' AND uid='$uid'";
                $wishlistCheckResult = mysqli_query($conn, $wishlistCheckQuery);

                if ($wishlistCheckResult && mysqli_num_rows($wishlistCheckResult) > 0) {
                    // Product is in the cart
                    $row['in_wishlist'] = true;
                } else {
                    // Product is not in the cart
                    $row['in_wishlist'] = false;
                }
                
        

        $data[] = array(
            "id" => $row['id'],
            "img" => $imgpath."/Products/" . $row['img'],
            "price" => round($price),
            "name" => $row['name'],
            "discount" => round($row['dis_price']),
            "src" => $src, 
            "category" => $row['category'],
            "collection" => $row['collection'],
            "desc" => $row['description'],
            "labour" => $row['labour_price'],
            "code" => $row['code'],
            "mprice" => $row['material_price'],
            "type" => $row['type'],
            "total" => round($discount),
            "img1" => $imgpath."/Products/" . $row['img1'],
            "img2" => $imgpath."/Products/" . $row['img2'],
            "img3" => $imgpath."/Products/" . $row['img3'],
            "material" => $mname,
            "cart" => $row['in_cart'],
            "wishlist" => $row['in_wishlist']
        );
    }
    mysqli_free_result($result);
}

if ($error) {
    echo json_encode(["message" => $error]);
} elseif (count($data) > 0) {
    echo json_encode(["message" => "radha", "result" => $data]);
} else {
    echo json_encode(["message" => "No results found for the specified criteria"]);
}

?>
