<?php
$api_token = 'b58c99e1-c4c9-41f6-b00c-4e5c755ac8f4';

function sendSMS($number, $message) {
    $api_url = 'https://whatsbot.tech/api/send_sms';
    $data = http_build_query([
        'api_token' => $GLOBALS['api_token'],
        'mobile' => "91" . $number,
        'message' => $message
    ]);

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $api_url);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

    $response = curl_exec($ch);

    if ($response === false) {
        echo json_encode(["message" => "invalid"]);
    } 
    curl_close($ch);
}

function sendDocument($number, $document, $message) {
    $api_url_doc = 'https://whatsbot.tech/api/send_doc';
    $data = http_build_query([
        'api_token' => $GLOBALS['api_token'],
        'mobile' => "91" . $number,
        'doc_url' => $document
    ]);
    

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $api_url_doc);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

    $response = curl_exec($ch);

    if ($response === false) {
        echo json_encode(["message" => "invalid"]);
    } 

    // Send SMS
    sendSMS($number, $message);

    curl_close($ch);
}

function sendImage($number, $img, $caption) {
    $api_url = 'https://whatsbot.tech/api/send_img';
    $data = http_build_query([
        'api_token' => $GLOBALS['api_token'],
        'mobile' => "91" . $number,
        'img_url' => $img,
        'img_caption' => $caption
    ]);

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $api_url);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

    $response = curl_exec($ch);

    if ($response === false) {
        echo json_encode(["message" => "invalid"]);
    } 

    curl_close($ch);
}

// Example usage
// $message = "This is a test message";
// $document = "https://api.manglikgold.com/API/ImagesWeb/Products/SILVER%20CROWN%20CZ%20PENDENT%20WITH%20CHAIN_02.webp";
// $img = "https://api.manglikgold.com/API/ImagesWeb/Products/SILVER%20CROWN%20CZ%20PENDENT%20WITH%20CHAIN_02.webp";
// $caption = "This is an image";

// // Uncomment to test each function
// sendSMS($number, $message);
// sendDocument($number, $document, $message);
// sendImage($number, $img, $caption);
?>
