<?php
require ("utils/MiddleWare.php");


$mid = $req['card'];//user mandal id

$checkadmin = "SELECT `id` FROM `mandal_user` WHERE `id`='$mid'";

$get_checkadmin = (mysqli_query($conn, $checkadmin));

if (mysqli_num_rows($get_checkadmin) > 0) {

        $query = "SELECT 
        (SELECT SUM(t.regular_installment) FROM transaction t WHERE `mid`='$mid' AND `trans_type`='REGULAR') AS total_regular,
        (SELECT SUM(t.withdraw) FROM transaction t WHERE `mid`='$mid') AS total_withdraw,
        (SELECT SUM(t.regular_installment) FROM transaction t WHERE `mid`='$mid' AND `trans_type`='YB') AS yearly_bonus,
        (SELECT SUM(t.regular_installment) FROM transaction t WHERE `mid`='$mid' AND `trans_type`='LATE') AS late_charge,
        (SELECT SUM(l.remaining) FROM loan l WHERE `mid`='$mid') AS total_loan";

        $result = mysqli_query($conn, $query);
        $row = mysqli_fetch_assoc($result);
        $total_regular = $row["total_regular"];
        $total_withdraw = $row['total_withdraw'];
         $yearly_bonus = $row["yearly_bonus"];
        $late_charge = $row['late_charge'];
        $total_loan = $row["total_loan"];
        
        $total = $total_regular + $yearly_bonus - $late_charge - $total_withdraw;
        
        if($total_loan == null){
            $total_loan="0";
        }
        
        if($total == null){
            $total="0";
        }

        $mdata = array(
            "Total_installment" => $total . "",
            "Remaining_loan" => $total_loan . ""
        );


        $tsql = "SELECT * FROM transaction WHERE `mid`='$mid' ORDER BY `date` ASC";

        $tresult = mysqli_query($conn, $tsql);
    //   $tdata = []; // Initialize an empty array

if ($tresult->num_rows > 0) {
    while ($trow = $tresult->fetch_assoc()) {
        $tr = $regular_installment = $int = ""; // Initialize variables

        switch ($trow['trans_type']) {
            case "EMI":
                if ($trow['emi_type'] == "FIRST") {
                    $regular_installment = $trow['emi_interest'];
                    $tr = "Interest";
                } elseif ($trow['emi_type'] == "NEW" || $trow['emi_type'] == "OLD") {
                    $regular_installment = $trow['emi'];
                    $int = $trow['emi_interest'];
                    $tr = "EMI";
                } elseif ($trow['emi_type'] == "REINT") {
                    $regular_installment = $trow['emi_interest'];
                    $tr = "Return Interest";
                }
                break;

            case "INTEREST":
                if ($trow['emi_type'] == "ADD") {
                    $regular_installment = $trow['emi_interest'];
                    $tr = "Added Interest";
                } elseif ($trow['emi_type'] == "REMOVE") {
                    $regular_installment = $trow['emi_interest'];
                    $tr = "Withdraw Interest";
                }elseif ($trow['emi_type'] == "LATEJOIN") {
                    $regular_installment = $trow['emi_interest'];
                    $tr = "Latejoin Interest";
                }
                break;

            case "LATE":
                $regular_installment = $trow['late_pay_charge'];
                $tr = "Late Payment Charge";
                break;
            
            case "LATEJOIN":
                $int = $trow['emi_interest'];
                $tr = "Late Joining Charge";
                break;
                
            case "YB":
                $regular_installment = $trow['regular_installment'];
                $tr = "Yearly Bonus";
                break;

            case "ANNUAL":
                $regular_installment = $trow['annual_charge'];
                $tr = "Annual Charge";
                break;

            case "REGULAR":
                $regular_installment = $trow['regular_installment'];
                $tr = "Regular";
                break;

            case "WITHDRAW":
                $regular_installment = $trow['withdraw'];
                $tr = "Withdraw";
                break;

            default:
                $regular_installment = $trow['regular_installment'];
                $tr = $trow['trans_type'];
        }

        $ttdata = array(
            "id" => $trow['id'],
            "mid" => $trow['mid'],
            "trans_type" => $tr,
            "regular_installment" => $regular_installment,
            "emi_type" => $trow['emi_type'],
            "emi" => $trow['emi'],
            "emi_interest" => $int,
            "late_pay_charge" => $trow['late_pay_charge'],
            "annual_charge" => $trow['annual_charge'],
            "withdraw" => $trow['withdraw'],
            "payment_mode" => $trow['payment_mode'],
            "total" => $trow['total'],
            "date" => $trow['date'],
            "by" => $trow['a_name']
        );

        $tdata[] = $ttdata;
        $trans_msg = "radha";
    }


        } else {
            $trans_msg = "notrans";
        }



        $lsql = "SELECT * FROM loan WHERE `mid`='$mid'";
        
        $lresult = mysqli_query($conn, $lsql);
        if ($lresult->num_rows > 0) {
            while ($lrow = $lresult->fetch_assoc()) {
                $lldata = array(
                    "loan_id" => $lrow['id'],
                    "amount" => $lrow['loan_amount'],
                    "remaining" => $lrow['remaining'],
                    "emi" => $lrow['emi'],
                    "month" => $lrow['month'],
                    "interest" => $lrow['interest'],
                    "paid_month" => $lrow['remaining_month'],
                    "date" => $lrow['date'],
                    "by" => $lrow['a_name']
                );
                $ldata[] = $lldata;
                $loan_msg = "radha";
            }
        } else {
            $loan_msg = "noloan";
        }

    
    echo json_encode(["message" => "radha","main_result" => $mdata,"tmsg"=>$trans_msg, "trans_result" => $tdata,"lmsg"=>$loan_msg, "loan_result" => $ldata]);



} else {
    echo json_encode(["message" => "invalid"]);
}
?>