<?php
require("utils/MiddleWare.php");
include "Crypto.php";

date_default_timezone_set("Asia/Kolkata");

$uid = $req['uid'];
$name = $req['name'];
$ad1 = $req['ad1'];
$ad2 = $req['ad2'];
$pincode = $req['pincode'];
$city = $req['city'];
$state = $req['state'];
$mobile = $req['mobile'];
$email = $req['email'];
$shipping = $req['shipping'];
$coupon = $req['coupon'];
$ccode = $req['ccode'];
$ctype = $req['ctype'];
$agentId = $req['agentId'];
$paymethod = "COD";
$payment_id = $req['payment_id'];
$order = $req['oid'];
$date = date("Y-m-d");
$option = $req['option'];
$total = 0;
$price = 0;
$dis_price = 0;
$order_status = $req['order_status']; // Assuming order_status is passed in $req

function createToken()
{
    $data = [
        'email' => 'shrutinilesh7904@gmail.com',
        'password' => 'Nilesh@1234'
    ];

    $url = 'https://shipment.xpressbees.com/api/users/login';
    $ch = curl_init($url);
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, ['Content-Type: application/json']);

    $response = curl_exec($ch);
    $httpcode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    curl_close($ch);

    if ($httpcode == 200) {
        $responseData = json_decode($response, true);
        return $responseData['data']; // Return the token
    } else {
        return null; // Return null if token retrieval fails
    }
}

function scheduleExpressBeesPickup($order, $total, $coupon, $token, $name, $ad1, $city, $state, $pincode, $mobile, $paymethod, $pickupDetails)
{
    $tt = $coupon ? $coupon : 0;

    $pickupData = [
        'order_number' => $order,
        'payment_type' => "cod",
        'order_amount' => round($total) - round($tt),
        'consignee' => [
            'name' => $name,
            'address' => $ad1,
            'city' => $city,
            'state' => $state,
            'pincode' => $pincode,
            'phone' => $mobile
        ],
        'pickup' => [
            'warehouse_name' => 'Manglik Gold',
            'name' => 'Manglik Gold',
            'address' => '34/2 Swaminarayan Nagar, Part-2',
            'address_2' => 'Nikol Road',
            'city' => 'Ahmedabad',
            'state' => 'Gujarat',
            'pincode' => '382350',
            'phone' => '7990202540'
        ],
        'order_items' => $pickupDetails,
        'courier_id' => '',
        'collectable_amount' => round($total) - round($tt)
    ];

    $expressBeesApiUrl = 'https://shipment.xpressbees.com/api/shipments2';

    $ch = curl_init($expressBeesApiUrl);
    curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
    curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($pickupData));
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        'Content-Type: application/json',
        'Authorization: Bearer ' . $token
    ]);

    $response = curl_exec($ch);
    curl_close($ch);

    return json_decode($response, true); // Return response data
}

// if ($order_status === "Success") {
    $ad2 = "";
    $date = date("Y-m-d");
    $total = 0;
    $price = 0;
    $dis_price = 0;

    if (!empty($uid)) {
        $csql = "SELECT cart.*, products.*, products.price AS pprice, cart.pid AS pid
                 FROM cart
                 JOIN products ON cart.pid = products.id
                 WHERE cart.uid = '$uid' AND products.stock > 0";
        $crun = mysqli_query($conn, $csql);

        if ($crun) {
            while ($row = mysqli_fetch_array($crun)) {
                $pid = $row["pid"];
                $qty = $row["qau"];
                $net = $row["net"];
                $dkarat = $row["d_karat"];
                $material = $row["type"];
                $pprice = $row["pprice"];

                $mQuery = "SELECT * FROM material WHERE id='$material'";
                $mResult = mysqli_query($conn, $mQuery);
                $mrow = mysqli_fetch_array($mResult);
                $mprice = $mrow["price"];

                $dQuery = "SELECT * FROM material WHERE id='5'";
                $dResult = mysqli_query($conn, $dQuery);
                $drow = mysqli_fetch_array($dResult);
                $dprice = $drow["price"];
                $dtotal = $dprice * $dkarat;

                if ($net > 0.0 && $net < 0.5) {
                    $making = $net * 1400;
                } elseif ($net > 0.51 && $net < 0.8) {
                    $making = $net * 1650;
                } elseif ($net > 0.81 && $net < 1.0) {
                    $making = $net * 2050;
                } elseif ($net > 1.01 && $net < 1.4) {
                    $making = $net * 2350;
                } elseif ($net > 1.41 && $net < 1.9) {
                    $making = $net * 2600;
                } elseif ($net > 1.91 && $net < 2.2) {
                    $making = $net * 2850;
                } else {
                    $making = $net * 1500;
                }

                $mm = $making / 2;
                $ggg = $net * $mprice + $mm + $dtotal;
                $gst = $ggg * 0.03;

                if ($pprice == 0 || $pprice == "") {
                    $price = $net * $mprice + $mm + $gst + $dtotal;
                    $dis_price = $net * $mprice + $making + $gst + $dtotal;
                } else {
                    $fgst = $pprice * 0.03;
                    $price = $pprice + $fgst;
                    $dis_price = $row["dis_price"] + $row["dis_price"] * 0.03;
                }

                $subTotal = $qty * $price;
                $total += round($subTotal);

                $osql = "INSERT INTO `order`(`uid`, `orderid`, `pid`, `price`, `dis_price`, `qty`, `date`)
                         VALUES ('$uid', '$order', '$pid', '$price', '$dis_price', '$qty', '$date')";
                mysqli_query($conn, $osql);

                $uppro = "UPDATE `products` SET `stock` = `stock` - $qty WHERE `id`='$pid'";
                mysqli_query($conn, $uppro);

                $dcart = "DELETE FROM `cart` WHERE `uid`='$uid'";
                mysqli_query($conn, $dcart);

                if ($ctype == "agent") {
                    $agent = "INSERT INTO `agentOrder`(`oid`, `agentCode`, `pid`, `agentId`, `bonus`, `date`)
                              VALUES ('$order', '$ccode', '$pid', '$agentId', '$coupon', '$date')";
                    mysqli_query($conn, $agent);
                }
            }

            if ($option != "0") {
                $sqll = "SELECT * FROM `address` WHERE `id`='$option'";
                $roww = mysqli_query($conn, $sqll);
                $runn = mysqli_fetch_array($roww);
                if ($runn) {
                    $name1 = $runn["name"];
                    $ad11 = $runn["ad1"];
                    $ad21 = $runn["ad2"];
                    $city1 = $runn["city"];
                    $state1 = $runn["state"];
                    $pincode1 = $runn["pincode"];
                    $mobile1 = $runn["mobile"];
                    $email1 = $runn["email"];
                    $sql = "INSERT INTO `checkout`(`uid`, `orderid`, `name`, `ad1`, `ad2`, `city`, `state`, `pincode`, `mobile`, `email`, `pay_id`, `pay_method`, `shipping`,`status`, `coupon`, `c_code`, `c_type`, `agent_id`, `total`, `date`)
                            VALUES ('$uid', '$order', '$name1', '$ad11', '$ad21', '$city1', '$state1', '$pincode1', '$mobile1', '$email1', '$payment_id', 'COD', '$shipping','pending', '$coupon', '$ccode', '$ctype', '$agentId', '$total', '$date')";
                    $row = mysqli_query($conn, $sql);
                }
            } else {
                $sqlAddress = "INSERT INTO `address`(`uid`, `name`, `ad1`, `ad2`, `pincode`, `state`, `city`, `mobile`, `email`, `date`)
                               VALUES ('$uid', '$name', '$ad1', '$ad2', '$pincode', '$state', '$city', '$mobile', '$email', '$date')";
                $rowAddress = mysqli_query($conn, $sqlAddress);

                $sqlCheckout = "INSERT INTO `checkout`(`uid`, `orderid`, `name`, `ad1`, `ad2`, `city`, `state`, `pincode`, `mobile`, `email`, `pay_id`, `pay_method`, `shipping`,`status`, `coupon`, `c_code`, `c_type`, `agent_id`, `total`, `date`)
                                VALUES ('$uid', '$order', '$name', '$ad1', '$ad2', '$city', '$state', '$pincode', '$mobile', '$email', '$payment_id', 'COD', '$shipping','pending', '$coupon', '$ccode', '$ctype', '$agentId', '$total', '$date')";
                $row = mysqli_query($conn, $sqlCheckout);
            }

            if ($row == true) {
                                        echo json_encode(["message" => "radha"]);

            } else {
                echo json_encode(["message" => "Order placement failed."]);
            }
        } else {
            echo json_encode(["message" => "Error occurred while fetching cart items"]);
        }
    } else {
        echo json_encode(["message" => "User ID is empty"]);
    }
// } else {
//     echo json_encode(["message" => "Invalid order status"]);
// }
?>
