<?php
require ("utils/MiddleWare.php");
// include 'config.php';
//For admin validation
$admin = $req['aid'];
$auth = $req['auth'];
$page = $req['page'];
$today = date("Y-m-d");
$oneWeekAgo = date("Y-m-d", strtotime("-1 week"));
$oneMonthAgo = date("Y-m-d", strtotime("-1 month"));

// $checkadmin = "SELECT `id` FROM `admin` WHERE `id`='$admin' AND `web_auth`='$auth'";

// $get_checkadmin = (mysqli_query($conn, $checkadmin));

// if (mysqli_num_rows($get_checkadmin) == 1) {


$query = "SELECT
    (SELECT SUM(t.regular_installment) FROM transaction t WHERE DATE(t.date) BETWEEN '$oneMonthAgo' AND '$today' AND t.trans_type = 'REGULAR') AS reg_transaction_month,
    (SELECT SUM(t.regular_installment) FROM transaction t WHERE DATE(t.date) BETWEEN '$oneWeekAgo' AND '$today' AND t.trans_type = 'REGULAR') AS reg_transaction_week,
    (SELECT SUM(t.regular_installment) FROM transaction t WHERE DATE(t.date) = '$today' AND t.trans_type = 'REGULAR') AS reg_transaction_today,
    (SELECT SUM(t.regular_installment) FROM transaction t WHERE t.trans_type = 'REGULAR') AS reg_transaction_total,
    (SELECT SUM(t.late_pay_charge) FROM transaction t WHERE DATE(t.date) BETWEEN '$oneWeekAgo' AND '$today' AND t.trans_type = 'LATE') AS late_week,
    (SELECT SUM(t.late_pay_charge) FROM transaction t WHERE DATE(t.date) BETWEEN '$oneMonthAgo' AND '$today' AND t.trans_type = 'LATE') AS late_month,
    (SELECT SUM(t.late_pay_charge) FROM transaction t WHERE DATE(t.date) = '$today' AND t.trans_type = 'LATE') AS late_today,
    (SELECT SUM(t.late_pay_charge) FROM transaction t WHERE t.trans_type = 'LATE') AS late_total,
    (SELECT SUM(t.late_pay_charge) FROM transaction t WHERE DATE(t.date) BETWEEN '$oneWeekAgo' AND '$today' AND t.trans_type = 'LATELOAN') AS lateloan_week,
    (SELECT SUM(t.late_pay_charge) FROM transaction t WHERE DATE(t.date) BETWEEN '$oneMonthAgo' AND '$today' AND t.trans_type = 'LATELOAN') AS lateloan_month,
    (SELECT SUM(t.late_pay_charge) FROM transaction t WHERE DATE(t.date) = '$today' AND t.trans_type = 'LATELOAN') AS lateloan_today,
    (SELECT SUM(t.late_pay_charge) FROM transaction t WHERE t.trans_type = 'LATELOAN') AS lateloan_total,
    (SELECT SUM(t.annual_charge) FROM transaction t WHERE DATE(t.date) BETWEEN '$oneWeekAgo' AND '$today' AND t.trans_type = 'ANNUAL') AS annual_charge_week,
    (SELECT SUM(t.annual_charge) FROM transaction t WHERE DATE(t.date) BETWEEN '$oneMonthAgo' AND '$today' AND t.trans_type = 'ANNUAL') AS annual_charge_month,
    (SELECT SUM(t.annual_charge) FROM transaction t WHERE DATE(t.date) = '$today' AND t.trans_type = 'ANNUAL') AS annual_charge_today,
    (SELECT SUM(t.annual_charge) FROM transaction t WHERE t.trans_type = 'ANNUAL') AS annual_charge_total,
    (SELECT SUM(t.regular_installment) FROM transaction t WHERE DATE(t.date) BETWEEN '$oneWeekAgo' AND '$today' AND t.trans_type = 'YB') AS annual_bonus_week,
    (SELECT SUM(t.regular_installment) FROM transaction t WHERE DATE(t.date) BETWEEN '$oneMonthAgo' AND '$today' AND t.trans_type = 'YB') AS annual_bonus_month,
    (SELECT SUM(t.regular_installment) FROM transaction t WHERE DATE(t.date) = '$today' AND t.trans_type = 'YB') AS annual_bonus_today,
    (SELECT SUM(t.regular_installment) FROM transaction t WHERE t.trans_type = 'YB') AS annual_bonus_total,
    (SELECT SUM(t.emi_interest) FROM transaction t WHERE DATE(t.date) BETWEEN '$oneWeekAgo' AND '$today' AND t.emi_type = 'REINT') AS remove_int_week,
    (SELECT SUM(t.emi_interest) FROM transaction t WHERE DATE(t.date) BETWEEN '$oneMonthAgo' AND '$today' AND t.emi_type = 'REINT') AS remove_int_month,
    (SELECT SUM(t.emi_interest) FROM transaction t WHERE DATE(t.date) = '$today' AND t.emi_type = 'REINT') AS remove_int_today,
    (SELECT SUM(t.emi_interest) FROM transaction t WHERE t.emi_type = 'REINT') AS remove_int_total,
    (SELECT SUM(t.emi_interest) FROM transaction t WHERE DATE(t.date) BETWEEN '$oneWeekAgo' AND '$today' AND t.emi_type != 'REINT') AS interest_week,
    (SELECT SUM(t.emi_interest) FROM transaction t WHERE DATE(t.date) BETWEEN '$oneMonthAgo' AND '$today' AND t.emi_type != 'REINT') AS interest_month,
    (SELECT SUM(t.emi_interest) FROM transaction t WHERE DATE(t.date) = '$today' AND t.emi_type != 'REINT') AS interest_today,
    (SELECT SUM(t.emi_interest) FROM transaction t WHERE t.emi_type != 'REINT') AS interest_total,
    (SELECT SUM(t.emi_interest) FROM transaction t WHERE DATE(t.date) BETWEEN '$oneWeekAgo' AND '$today' AND t.emi_type = 'ADD') AS add_int_week,
    (SELECT SUM(t.emi_interest) FROM transaction t WHERE DATE(t.date) BETWEEN '$oneMonthAgo' AND '$today' AND t.emi_type = 'ADD') AS add_int_month,
    (SELECT SUM(t.emi_interest) FROM transaction t WHERE DATE(t.date) = '$today' AND t.emi_type = 'ADD') AS add_int_today,
    (SELECT SUM(t.emi_interest) FROM transaction t WHERE t.emi_type = 'ADD') AS add_int_total,
    (SELECT SUM(t.emi_interest) FROM transaction t WHERE DATE(t.date) BETWEEN '$oneWeekAgo' AND '$today' AND t.emi_type = 'REMOVE') AS min_interest_week,
    (SELECT SUM(t.emi_interest) FROM transaction t WHERE DATE(t.date) BETWEEN '$oneMonthAgo' AND '$today' AND t.emi_type = 'REMOVE') AS min_interest_month,
    (SELECT SUM(t.emi_interest) FROM transaction t WHERE DATE(t.date) = '$today' AND t.emi_type = 'REMOVE') AS min_interest_today,
    (SELECT SUM(t.emi_interest) FROM transaction t WHERE t.emi_type = 'REMOVE') AS min_interest_total,
    (SELECT SUM(t.withdraw) FROM transaction t WHERE DATE(t.date) BETWEEN '$oneWeekAgo' AND '$today') AS total_withdraw_week,
    (SELECT SUM(t.withdraw) FROM transaction t WHERE DATE(t.date) BETWEEN '$oneMonthAgo' AND '$today') AS total_withdraw_month,
    (SELECT SUM(t.withdraw) FROM transaction t WHERE DATE(t.date) = '$today') AS total_withdraw_today,
    (SELECT SUM(t.withdraw) FROM transaction t) AS total_withdraw_total,
    (SELECT SUM(l.remaining) FROM loan l  WHERE DATE(l.date) BETWEEN '$oneMonthAgo' AND '$today') AS loan_month,
    (SELECT SUM(l.remaining) FROM loan l  WHERE DATE(l.date) BETWEEN '$oneWeekAgo' AND '$today') AS loan_week,
    (SELECT SUM(l.remaining) FROM loan l WHERE DATE(l.date) = '$today') AS loan_today,
    (SELECT SUM(l.remaining) FROM loan l) AS total_loan,
    (SELECT SUM(l.loan_amount) FROM loan l) AS all_loan,
    (SELECT SUM(t.emi) FROM transaction t WHERE DATE(t.date) BETWEEN '$oneWeekAgo' AND '$today' AND t.emi_type != 'REINT') AS sum_of_int_week,
    (SELECT SUM(t.emi) FROM transaction t WHERE DATE(t.date) BETWEEN '$oneMonthAgo' AND '$today' AND t.emi_type != 'REINT') AS sum_of_int_month,
    (SELECT SUM(t.emi) FROM transaction t WHERE DATE(t.date) = '$today' AND t.emi_type != 'REINT') AS sum_of_int_today,
    (SELECT SUM(t.emi) FROM transaction t WHERE t.emi_type != 'REINT') AS sum_of_int_total,
    (SELECT MAX(Id) FROM mandal_user) AS mems
";

$result = mysqli_query($conn, $query);

if (!$result) {
    die("Query failed: " . mysqli_error($conn));
}

$row = mysqli_fetch_assoc($result);

// Calculate values
$today_total = $row["reg_transaction_today"] + $row["late_today"] + $row["annual_charge_today"] - $row["remove_int_today"] + $row["add_int_today"] - $row["min_interest_today"] + $row["annual_bonus_today"]  + $row["interest_today"] - $row["total_withdraw_today"] + $row["sum_of_int_today"] - $row["loan_today"]; 
$month_total = $row["reg_transaction_month"] + $row["late_month"] + $row["annual_charge_month"] - $row["remove_int_month"] + $row["add_int_month"] - $row["min_interest_month"] + $row["annual_bonus_month"] +  $row["interest_month"] - $row["total_withdraw_month"] + $row["sum_of_int_month"] - $row["loan_month"];
$week_total = $row["reg_transaction_week"] + $row["late_week"] + $row["annual_charge_week"] - $row["remove_int_week"] + $row["add_int_week"] - $row["min_interest_week"] + $row["annual_bonus_week"] + $row["interest_week"] - $row["total_withdraw_week"] + $row["sum_of_int_week"]- $row["loan_week"];
$total = $row["reg_transaction_total"] + $row["late_total"] + $row["annual_charge_total"] - $row["remove_int_total"] + $row["add_int_total"] - $row["min_interest_total"] + $row["annual_bonus_total"] + $row["interest_total"] - $row["total_withdraw_total"] + $row["sum_of_int_total"] - $row["total_loan"];
$total_loan = $row["total_loan"];
$sum_of_mem = $row["mems"];
$lloan = $row["all_loan"];
// Close the database connection
mysqli_close($conn);

$data = array(
    "today_total" => $today_total . "",
    "week_total" => $week_total . "",
    "month_total" => $month_total . "",
    "total" => $total . "",
    "loan" => $total_loan . "",
    "available_fund" => $total - $total_loan . "",
    "members" => $sum_of_mem . "",
    "regular" => $row["reg_transaction_total"] - $row["lateloan_total"]. "",
    "regular_loan" => $row["reg_transaction_total"] . "",
    "all_loan" => $lloan . "",
    "withdraw" => $row["total_withdraw_total"] . "",
    "annual_bonus" => $row["annual_bonus_total"] . "",
    "annual_charge" => $row["annual_charge_total"] . "",
    "return_interest" => $row["remove_int_total"] . "",
    "interest" => $row["interest_total"] + $row["add_int_total"] - $row["min_interest_total"] - $row["remove_int_total"]. "",
    "EMI" => $row["sum_of_int_total"] . "",
    "loan" => $row["total_loan"] . "",
    "late_pay" => $row["late_total"],
    
);

        // echo json_encode(["message" => "radha", "main_result" => $data]);
        echo json_encode(["message" => "radha", "main_result" => $data,"date"=>$row["reg_transaction_total"] ."+". $row["late_total"] ."+". $row["annual_charge_total"] ."-". $row["remove_int_total"] ."+". $row["add_int_total"] ."-". $row["min_interest_total"] ."+". $row["annual_bonus_total"] ."+". $row["interest_total"]." - ".$row["total_withdraw_total"] ."+". $row["sum_of_int_total"] ."-". $row["total_loan"]]);


// } else {
//     echo json_encode(["message" => "invalid"]);
// }
?>